# $Id: stress.spec 4308 2006-04-21 22:20:20Z dries $
# Authority: dag
# Upstream: Amos Waterland <apw$us,ibm,com>

%{?dist: %{expand: %%define %dist 1}}

Summary: tool to impose stress on a POSIX-compliant operating system
Name: stress
Version: 0.18.8
Release: 1.3.EL6
License: GPL
Group: Applications/System
URL: http://weather.ou.edu/~apw/projects/stress/

Source: http://weather.ou.edu/~apw/projects/stress/stress-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%{!?dist:BuildRequires: glibc-headers}
%{?fc3:BuildRequires: glibc-headers}
%{?fc2:BuildRequires: glibc-headers}
%{?fc1:BuildRequires: glibc-headers}
%{?el3:BuildRequires: glibc-headers}
%{?rh9:BuildRequires: glibc-devel}
%{?rh8:BuildRequires: glibc-devel}
%{?rh7:BuildRequires: glibc-devel}
%{?el2:BuildRequires: glibc-devel}
%{?rh6:BuildRequires: glibc-devel}

%description
Stress is a tool which imposes a configurable amount of CPU, memory, I/O,
or disk stress on a POSIX-compliant operating system. Stress is written
in highly-portable ANSI C, and uses the GNU Autotools to compile on a
great number of UNIX-like operating systems.

Stress is not a benchmark, it is rather a tool which puts the system under
a repeatable, defined amount of load so that a systems programmer or system
administrator can analyze the performance characteristics of the system or
specific components thereof.

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}/%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir

%preun
/sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc doc/*.html
%doc %{_mandir}/man1/stress.1*
%doc %{_infodir}/stress.info*
%{_bindir}/stress

%changelog
* Wed Nov 8 2006 Yu Shao <yshao@redhat.com> - 0.18.8-1.3.EL5
- exclude  {_infodir}/dir

* Mon Oct 30 2006 Yu Shao <yshao@redhat.com> - 0.18.8-1.2.EL5
- Ported into EL5

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.18.8-1.2 #4261
- Rebuild for Fedora Core 5.

* Fri Dec 09 2005 Dag Wieers <dag@wieers.com> - 0.18.8-1
- Updated to release 0.18.8.

* Mon Jul 11 2005 Dag Wieers <dag@wieers.com> - 0.18.6-1
- Updated to release 0.18.6.

* Fri Apr 08 2005 Dag Wieers <dag@wieers.com> - 0.18.4-1
- Updated to release 0.18.4.

* Fri Nov 19 2004 Dag Wieers <dag@wieers.com> - 0.18.2-1
- Updated to release 0.18.2.

* Wed Jul 14 2004 Dag Wieers <dag@wieers.com> - 0.18.1-1
- Cosmetic changes.

* Tue Aug 05 2003 Dag Wieers <dag@wieers.com> - 0.18.1-0
- Updated to release 0.18.1.

* Sat Jun 28 2003 Dag Wieers <dag@wieers.com> - 0.17.2-0
- Updated to release 0.17.2.

* Mon May 26 2003 Dag Wieers <dag@wieers.com> - 0.17-1
- Updated to release 0.17.

* Sat May 17 2003 Dag Wieers <dag@wieers.com> - 0.17-0.pre20
- Initial package. (using DAR)
